A B C D E F G H I J L M N O P R S T U V W X Z

A

AbstractPollingHandler - Class in com.veriplace.client.util
Basic implementation of PollingHandler that provides empty stubs for all handler methods.
AbstractPollingHandler() - Constructor for class com.veriplace.client.util.AbstractPollingHandler
 
AbstractRequestManager<ResultType> - Class in com.veriplace.client.util
Abstraction around making a Veriplace API request and retrieving the result.
AbstractRequestManager() - Constructor for class com.veriplace.client.util.AbstractRequestManager
 
AbstractRequestManager.AbstractRequest<ResultType> - Class in com.veriplace.client.util
Generic inner class for background requests.
AbstractRequestManager.AbstractRequest(Client, User, Token) - Constructor for class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
AbstractStatusViewRenderer - Class in com.veriplace.web.views
Basic implementation of StatusViewRenderer which defines a view name for each error condition and for the "please wait" page, and automatically stores the VeriplaceState object and callback URL in request attributes.
AbstractStatusViewRenderer() - Constructor for class com.veriplace.web.views.AbstractStatusViewRenderer
 
AbstractVeriplaceServlet - Class in com.veriplace.web.servlet
Base class for servlets that use Veriplace APIs.
AbstractVeriplaceServlet() - Constructor for class com.veriplace.web.servlet.AbstractVeriplaceServlet
 
ACCESS_TOKEN_PATH - Static variable in class com.veriplace.client.Client
The URL path, after the baseUrl, for access token requests.
accessToken - Variable in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
accessToken - Variable in class com.veriplace.client.util.PollingManager
 
add(Token) - Method in class com.veriplace.client.store.FileTokenStore
Add a token to this store.
add(Token) - Method in class com.veriplace.client.store.MemoryTokenStore
Add a token to this store.
add(Token) - Method in interface com.veriplace.client.store.TokenStore
Save a token.
add() - Method in class com.veriplace.client.util.MemoryRequestStore
 
add() - Method in interface com.veriplace.client.util.RequestStore
Allocate a unique identifier for a subsequent response.
addExtraInfo(LocationOptions.ExtraInfo...) - Method in class com.veriplace.client.LocationOptions
Adds a set of desired LocationOptions.ExtraInfo options to the previously specified options.
addFilter(LocationFilter) - Method in class com.veriplace.client.LocationOptions
Deprecated.  
addMode(String) - Method in class com.veriplace.client.LocationOptions
Deprecated.  
addTimeout(Integer) - Method in class com.veriplace.client.LocationOptions
Deprecated.  
allocator - Variable in class com.veriplace.client.util.MemoryRequestStore
 
APPLICATION_INFO_PATH - Static variable in class com.veriplace.client.Client
The URL path, after the baseUrl, for request token requests.
APPLICATION_TOKEN_SECRET - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for the application-specific Access Token secret<: "veriplace.application.token.secret".
APPLICATION_TOKEN_SECRET_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.APPLICATION_TOKEN_SECRET.
APPLICATION_TOKEN_VALUE - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for the application-specific Access Token value, if any: "veriplace.application.token.value".
APPLICATION_TOKEN_VALUE_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.APPLICATION_TOKEN_VALUE.
AREA - Static variable in class com.veriplace.client.LocationMode
An approximate location request with lower latency and cost.
AsyncCapableAPI<TRequestStatus extends AsyncRequestStatus> - Class in com.veriplace.client
Base class for Veriplace APIs that deliver an asynchronous response.
AsyncRequestStatus - Class in com.veriplace.client
Base class for asynchronous requests created by a subclass of AsyncCapableAPI.

B

BadParameterException - Exception in com.veriplace.client
Thrown to indicate that our request to the Veriplace server had invalid parameters.
BadParameterException(String) - Constructor for exception com.veriplace.client.BadParameterException
 
beginLocationBatch(PollingManager, LocationUpdates) - Method in class com.veriplace.client.util.AbstractPollingHandler
 
beginLocationBatch(PollingManager, LocationUpdates) - Method in interface com.veriplace.client.util.PollingHandler
Called by PollingManager when a batch of locations is about to become available.
byEmail(String) - Static method in class com.veriplace.client.UserDiscoveryParameters
Convenience method for creating a new UserDiscoveryParameters object with an email address.
byOpenId(String) - Static method in class com.veriplace.client.UserDiscoveryParameters
Convenience method for creating a new UserDiscoveryParameters object with an OpenID identifier.
byPhone(String) - Static method in class com.veriplace.client.UserDiscoveryParameters
Convenience method for creating a new UserDiscoveryParameters object with a mobile number.

C

call() - Method in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
call() - Method in class com.veriplace.client.util.GetLocationRequestManager.LocationRequest
 
CALLBACK_EXCLUDE_PARAMETERS - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the names of request parameters not to be copied to the callback URL, if you don't want all parameters to be copied: "veriplace.application.callback.exclude-params".
CALLBACK_EXCLUDE_PARAMETERS_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CALLBACK_EXCLUDE_PARAMETERS.
CALLBACK_HOST - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the hostname for callback URLs, if it can't be detected automatically due to your network configuration: "veriplace.application.callback.host".
CALLBACK_INCLUDE_PARAMETERS - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the names of request parameters to be copied to the callback URL, if you don't want all parameters to be copied: "veriplace.application.callback.include-params".
CALLBACK_INCLUDE_PARAMETERS_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CALLBACK_INCLUDE_PARAMETERS.
CALLBACK_PATH - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying an exact subpath for callback URLs, if it can't be detected automatically due to your network configuration: "veriplace.callback.path".
CALLBACK_PATH_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CALLBACK_PATH.
CALLBACK_PORT - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the port for callback URLs, if it can't be detected automatically due to your network configuration: "veriplace.application.callback.port".
CALLBACK_PORT_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CALLBACK_PORT.
CALLBACK_SERVER_NAME_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CALLBACK_HOST.
callbackAttributeName - Variable in class com.veriplace.web.views.AbstractStatusViewRenderer
 
CallbackFactory - Interface in com.veriplace.client.factory
Interface for an object that Client and VeriplaceState use to generate callback URLs for OAuth transactions.
CallbackOptions - Class in com.veriplace.client
Specifies optional parameters for an asynchronous request whose result will be delivered by HTTP callback.
canRenderWaitingView() - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
 
canRenderWaitingView() - Method in interface com.veriplace.web.views.StatusViewRenderer
Returns true if this StatusViewRenderer is able to display content for the "please wait" condition.
captureParameters(HttpServletRequest) - Method in interface com.veriplace.client.factory.CallbackFactory
Given an HTTP request, returns a map containing the names and values of all HTTP GET or POST parameters that should be included in a callback.
captureParameters(HttpServletRequest) - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
cause - Variable in exception com.veriplace.client.VeriplaceOAuthException
 
Client - Class in com.veriplace.client
Veriplace client implementation in Java.
Client(String, String) - Constructor for class com.veriplace.client.Client
Minimal client constructor, requiring only a consumer key and secret.
Client(String, String, Revision) - Constructor for class com.veriplace.client.Client
Deprecated. Obsolete; use ClientConfiguration constructor instead.
Client(String, String, Revision, Token) - Constructor for class com.veriplace.client.Client
Deprecated. Obsolete; use ClientConfiguration constructor instead.
Client(String, String, Revision, Token, String, TokenStore) - Constructor for class com.veriplace.client.Client
Deprecated. Obsolete; use ClientConfiguration constructor instead.
Client(String, String, Revision, Token, String, String, Integer, TokenStore) - Constructor for class com.veriplace.client.Client
Deprecated. Obsolete; use ClientConfiguration constructor instead.
Client(String, String, Revision, Token, String, CallbackFactory, TokenStore, String) - Constructor for class com.veriplace.client.Client
Deprecated. Obsolete; use ClientConfiguration constructor instead.
Client(ClientConfiguration) - Constructor for class com.veriplace.client.Client
 
client - Variable in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
client - Variable in class com.veriplace.client.util.PollingManager
 
ClientConfiguration - Class in com.veriplace.client
Encapsulates the various properties that can be configured for a Veriplace Client.
ClientConfiguration() - Constructor for class com.veriplace.client.ClientConfiguration
Default constructor that initializes no properties.
ClientConfiguration(String, String) - Constructor for class com.veriplace.client.ClientConfiguration
Shortcut constructor for initializing only the required consumer key and consumer secret.
ClientConfiguration(String, String, Revision, Token, String, CallbackFactory, TokenStore, LocationOptions) - Constructor for class com.veriplace.client.ClientConfiguration
Constructor for initializing most of the optional properties.
ClientConfiguration(String, String, Revision, Token, String, CallbackFactory, TokenStore, String, LocationFilter) - Constructor for class com.veriplace.client.ClientConfiguration
Constructor for initializing most of the optional properties.
clientConfiguration - Variable in class com.veriplace.client.factory.DefaultClientFactory
 
ClientFactory - Interface in com.veriplace.client.factory
Factory interface constructing Client instances.
clone() - Method in class com.veriplace.client.LocationOptions
Returns an exact copy of the LocationOptions object.
com.veriplace.client - package com.veriplace.client
Provides primary Client interface to Veriplace Developer APIs.
com.veriplace.client.factory - package com.veriplace.client.factory
Provides factories for creating common objects.
com.veriplace.client.store - package com.veriplace.client.store
Provides a mechanism for storing OAuth Request Tokens and Access Tokens.
com.veriplace.client.util - package com.veriplace.client.util
Provides support for using the Client interface in a state-based application.
com.veriplace.web - package com.veriplace.web
These classes simplify the process of using Veriplace user/location discovery within a servlet-based application.
com.veriplace.web.servlet - package com.veriplace.web.servlet
These classes provide support for using com.veriplace.web within a simple J2EE Servlet application.
com.veriplace.web.spring - package com.veriplace.web.spring
These classes provide support for using com.veriplace.web within the Spring framework.
com.veriplace.web.views - package com.veriplace.web.views
Veriplace can be configured to display "status views" to the end user under certain conditions.
complete - Variable in class com.veriplace.client.util.MemoryRequestStore.RequestStatus
 
ConfigurationException - Exception in com.veriplace.client
Thrown to indicate that a Veriplace configuration property is invalid.
ConfigurationException(String) - Constructor for exception com.veriplace.client.ConfigurationException
 
ConfigurationException(Throwable) - Constructor for exception com.veriplace.client.ConfigurationException
 
ConfigurationException(String, Throwable) - Constructor for exception com.veriplace.client.ConfigurationException
 
CONSUMER_KEY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for the OAuth consumer key: "veriplace.application.consumer.key".
CONSUMER_KEY_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CONSUMER_KEY.
CONSUMER_SECRET - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for the OAuth consumer secret: "veriplace.application.consumer.secret".
CONSUMER_SECRET_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.CONSUMER_SECRET.
createCallbackUrl(HttpServletRequest, boolean) - Method in interface com.veriplace.client.factory.CallbackFactory
Given an HTTP request, returns a callback URL that should access the same resource as that request.
createCallbackUrl(HttpServletRequest, boolean) - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
createExtendedCallback(String) - Static method in class com.veriplace.client.CallbackOptions
Constructs an instance with a callback URI, using the extended callback format.
createExtendedCallback(String, String) - Static method in class com.veriplace.client.CallbackOptions
Constructs an instance with a callback URI, using the extended callback format and specifying the encoding.
createFormEncodedExtendedCallback(String, String, String) - Static method in class com.veriplace.client.CallbackOptions
Constructs an instance with a callback URI, using the extended callback format and specifying that the callback message should be wrapped in a form-encoded query string.
createSummaryCallback(String) - Static method in class com.veriplace.client.CallbackOptions
Constructs an instance with only a callback URI.

D

DEFAULT_DIRECTORY - Static variable in class com.veriplace.client.store.FileTokenStore
Default directory to store tokens.
DEFAULT_ERROR_KEY - Static variable in class com.veriplace.web.views.AbstractStatusViewRenderer
 
DEFAULT_FILE_BASE - Static variable in class com.veriplace.client.store.FileTokenStore
Default file base to store token data.
DEFAULT_LOCATION_MODE - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the default location mode for the GetLocation API, if any: "veriplace.application.location.mode".
DEFAULT_LOCATION_MODE_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.DEFAULT_LOCATION_MODE.
DEFAULT_PROTOCOL - Static variable in class com.veriplace.client.ClientConfiguration
The default OAuth protocol version.
DEFAULT_SERVER_URI - Static variable in class com.veriplace.client.ClientConfiguration
The default baseUrl to use for Veriplace APIs: "http://veriplace.com"
DefaultCallbackFactory - Class in com.veriplace.client.factory
Standard implementation of CallbackFactory.
DefaultCallbackFactory() - Constructor for class com.veriplace.client.factory.DefaultCallbackFactory
Constructs a DefaultCallbackFactory with no overridden properties.
DefaultCallbackFactory(String) - Constructor for class com.veriplace.client.factory.DefaultCallbackFactory
Constructs a DefaultCallbackFactory, overriding the server name.
DefaultCallbackFactory(String, Integer) - Constructor for class com.veriplace.client.factory.DefaultCallbackFactory
Constructs a DefaultCallbackFactory, overriding the server name and port.
DefaultCallbackFactory(String, Integer, String) - Constructor for class com.veriplace.client.factory.DefaultCallbackFactory
Constructs a DefaultCallbackFactory, overriding the server name, port, and URL path.
DefaultCallbackFactory(String, Integer, String, boolean, String[]) - Constructor for class com.veriplace.client.factory.DefaultCallbackFactory
Deprecated.  
DefaultCallbackFactory(String, Integer, String, String[], String[]) - Constructor for class com.veriplace.client.factory.DefaultCallbackFactory
Constructs a DefaultCallbackFactory, overriding the server name, port, and URL path, and specifying the parameter names to be captured or not captured.
DefaultClientFactory - Class in com.veriplace.client.factory
Factory for constructing Client instances from Properties.
DefaultClientFactory(Properties) - Constructor for class com.veriplace.client.factory.DefaultClientFactory
Create a new factory from a Properties object.
DefaultClientFactory(Properties, TokenStore) - Constructor for class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Use getClientConfiguration().setTokenStore().
DefaultLocationFilter - Class in com.veriplace.client
Default implementation of LocationFilter.
DefaultLocationFilter() - Constructor for class com.veriplace.client.DefaultLocationFilter
Constructs a DefaultLocationFilter that does no post-processing.
DefaultLocationFilter(boolean) - Constructor for class com.veriplace.client.DefaultLocationFilter
Constructs a DefaultLocationFilter that can optionally suppress certain errors if the application would like to use cached locations.
DefaultRedirector - Class in com.veriplace.web
Default implementation of Redirector.
DefaultRedirector() - Constructor for class com.veriplace.web.DefaultRedirector
 
defaultViewName - Variable in class com.veriplace.web.servlet.AbstractVeriplaceServlet
 
delete(Token) - Method in class com.veriplace.client.PermissionAPI
Remove an access token, so the application will no longer have permission to locate that user.
directory - Variable in class com.veriplace.client.store.FileTokenStore
Directory to store tokens.
dispatchUpdate(User, LocationUpdateReference, Object) - Method in class com.veriplace.client.util.PollingManager
 
DocumentFactory - Class in com.veriplace.client.factory
Factory for creating XML Documents from byte[] data.
DocumentFactory() - Constructor for class com.veriplace.client.factory.DocumentFactory
 
documentFactory - Variable in class com.veriplace.client.factory.ResponseObjectFactory
 
doGet(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
 
doGetOrPost(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
 
doPost(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
 
doRequestInternal(HttpServletRequest, HttpServletResponse, VeriplaceState) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
Override this method to implement your request handler.
doRequestInternal(HttpServletRequest, HttpServletResponse, Veriplace, VeriplaceState) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
Override this method to implement your request handler.

E

EMAIL - Static variable in class com.veriplace.client.UserDiscoveryAPI
 
endLocationBatch(PollingManager, Object) - Method in class com.veriplace.client.util.AbstractPollingHandler
 
endLocationBatch(PollingManager, Object) - Method in interface com.veriplace.client.util.PollingHandler
Called by PollingManager when all the locations from the last update request have been processed.
equals(Object) - Method in class com.veriplace.client.LocationUpdateReference
 
equals(Object) - Method in class com.veriplace.client.User
 
equals(Object) - Method in class com.veriplace.client.UserDiscoveryParameters
 
ERROR_KEY_PREFIX - Static variable in class com.veriplace.web.views.AbstractStatusViewRenderer
 
expiration - Variable in class com.veriplace.client.util.MemoryRequestStore
Map from expiration time (in seconds) to identifier(s).

F

fileBase - Variable in class com.veriplace.client.store.FileTokenStore
File base to store tokens.
FileTokenStore - Class in com.veriplace.client.store
A file based implemention of TokenStore
FileTokenStore() - Constructor for class com.veriplace.client.store.FileTokenStore
Create a new file token store using default values.
FileTokenStore(String) - Constructor for class com.veriplace.client.store.FileTokenStore
Create a new file token store using custom fileBase.
FileTokenStore(String, String) - Constructor for class com.veriplace.client.store.FileTokenStore
Create a new file token store using custom fileBase and directory.
filterLocation(Location, PositionFailureException) - Method in class com.veriplace.client.DefaultLocationFilter
 
filterLocation(Location, PositionFailureException) - Method in interface com.veriplace.client.LocationFilter
Transforms the result of a location request.
FIVE_MINUTES - Static variable in class com.veriplace.client.util.MemoryRequestStore
 
FREEDOM - Static variable in class com.veriplace.client.LocationMode
A request that queries previously cached locations, and will never trigger a new GPS fix.

G

get(String) - Method in class com.veriplace.client.store.FileTokenStore
Get a token by value.
get(String) - Method in class com.veriplace.client.store.MemoryTokenStore
Get a token by value.
get(User) - Method in class com.veriplace.client.store.MemoryUserTokenStore
Retrieve a token by user.
get(String) - Method in interface com.veriplace.client.store.TokenStore
Retrieve a token.
get(User) - Method in interface com.veriplace.client.store.UserTokenStore
Retrieve a token by user.
get(long) - Method in class com.veriplace.client.util.MemoryRequestStore
 
get(long) - Method in interface com.veriplace.client.util.RequestStore
Get the result of a request.
getAccessToken(HttpServletRequest) - Method in class com.veriplace.client.Client
Get an access token for an OAuth callback request
getAccessToken() - Method in class com.veriplace.client.InvitationStatus
The access token for the user who granted permission to the application, if the request was successfully completed.
getAddressLine() - Method in class com.veriplace.client.Position
A single line combining the address properties in the format "street, city, state postal".
getAllFields() - Method in class com.veriplace.web.VeriplaceState
Creates HTML hidden form fields for all currently defined persistent attributes.
getApplicationInfoUrl() - Method in class com.veriplace.client.Client
Constructs a URL, using the previously configured application consumer key, which will display the application's information page on the Veriplace web site.
getApplicationToken() - Method in class com.veriplace.client.Client
 
getApplicationToken() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setApplicationToken(Token).
getAttribute(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
getAttribute(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
getAttribute(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
getAvailablePeriods() - Method in class com.veriplace.client.LocationUpdates
Returns a set of all the allowable values that can be passed to PollingAPI.setPeriodSeconds(int).
getBaseUrl() - Method in class com.veriplace.client.Client
Deprecated. Obsolete; use Client.getServerUri().
getBaseUrlWithHttps() - Method in class com.veriplace.client.Client
Deprecated. Obsolete; use Client.getServerDirectUri().
getCachedLocation() - Method in exception com.veriplace.client.PositionFailureException
 
getCallbackAttributeName() - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
See AbstractStatusViewRenderer.setCallbackAttributeName(String).
getCallbackExcludeParameters() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setCallbackExcludeParameters(String[]).
getCallbackFactory() - Method in class com.veriplace.client.Client
 
getCallbackFactory() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setCallbackFactory(CallbackFactory).
getCallbackIncludeParameters() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setCallbackIncludeParameters(String[]).
getCallbackParameters() - Method in class com.veriplace.web.VeriplaceState
Returns the names and values of all HTTP query string or form parameters that will be preserved across a redirect and callback.
getCallbackPath() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setCallbackPath(String).
getCallbackResult(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.client.AsyncCapableAPI
Process the parameters of an HTTP callback request that was posted from Veriplace in response to an asynchronous request.
getCallbackResult(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.client.GetLocationAPI
Process the parameters of an HTTP callback that was posted from Veriplace in response to an asynchronous location request.
getCallbackResult(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.client.InvitationAPI
Process the parameters of an HTTP callback that was posted from Veriplace as the result of an invitation.
getCallbackServerName() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setCallbackServerName(String).
getCallbackServerPort() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setCallbackServerPort(Integer).
getCallbackUri() - Method in class com.veriplace.client.CallbackOptions
The URI to which the callback will be delivered.
getCallbackUrl(VeriplaceState) - Method in class com.veriplace.web.Veriplace
Constructs a URL for returning to the current request from an external page, and passing along any necessary attributes to recreate the current state.
getCallbackUrl() - Method in exception com.veriplace.web.WaitingException
 
getCategory() - Method in class com.veriplace.client.PointOfInterest
The human-readable name of a general category for this point of interest, e.g.
getCause() - Method in exception com.veriplace.client.GetLocationNotPermittedException
 
getCause() - Method in exception com.veriplace.client.UserDiscoveryNotPermittedException
 
getCause() - Method in exception com.veriplace.client.VeriplaceOAuthException
 
getCity() - Method in class com.veriplace.client.Position
City name, if available.
getClient() - Method in interface com.veriplace.client.factory.ClientFactory
 
getClient() - Method in class com.veriplace.client.factory.DefaultClientFactory
 
getClient() - Method in class com.veriplace.client.util.PollingManager
The Veriplace client instance.
getClient() - Method in class com.veriplace.web.Veriplace
Returns the Client that handles lower-level communications with the Veriplace server.
getClientConfiguration() - Method in class com.veriplace.client.factory.DefaultClientFactory
Returns the ClientConfiguration object that will be used to construct a client.
getClientFactory() - Method in class com.veriplace.web.Veriplace
Returns the currently configured ClientFactory, if any.
getCode() - Method in exception com.veriplace.client.PositionFailureException
 
getCode() - Method in exception com.veriplace.client.VeriplaceOAuthException
Returns the result code of the underlying OAuth exception.
getConsumer() - Method in class com.veriplace.client.Client
 
getConsumerKey() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setConsumerKey(String).
getConsumerSecret() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setConsumerSecret(String).
getCountryCode() - Method in class com.veriplace.client.Position
Country code, if available.
getCreationDate() - Method in class com.veriplace.client.Location
Get this location's creation date, which indicates whether the location represents a current or cached position.
getDefaultErrorViewName() - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
See AbstractStatusViewRenderer.setDefaultErrorViewName(String).
getDefaultLocationMode() - Method in class com.veriplace.client.ClientConfiguration
Deprecated. Use ClientConfiguration.getLocationOptions().
getDefaultLocationMode() - Method in class com.veriplace.client.GetLocationAPI
Get the default location mode for this client, if any.
getDistanceInMeters() - Method in class com.veriplace.client.PositionReference
Returns the distance in meters to the position.
getDocument(byte[]) - Method in class com.veriplace.client.factory.DocumentFactory
 
getEmail() - Method in class com.veriplace.client.UserDiscoveryParameters
 
getEncoding() - Method in class com.veriplace.client.CallbackOptions
The desired encoding for the message, if it is an extended callback.
getErrorViewName(Class<?>) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
Returns the name of the error view to use for a particular exception class, as defined by AbstractStatusViewRenderer.setErrorViewName(Class, String).
getException() - Method in class com.veriplace.client.AsyncRequestStatus
An exception indicating the reason that the request failed, if it failed.
getException() - Method in class com.veriplace.client.InvitationStatus
An InvitationDeclinedException or InvitationNotPermittedException indicating the reason that permission was not granted, if the request failed.
getException() - Method in class com.veriplace.client.LocationRequestStatus
A PositionFailureException indicating the reason that the location could not be obtained, and possibly including a recent cached location.
getException() - Method in class com.veriplace.client.util.ResultWrapper
 
getExcludeParameters() - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
getExpirationDate() - Method in class com.veriplace.client.Location
Get this location's expiration date, which indicates when this location must be deleted.
getExtraInfo() - Method in class com.veriplace.client.LocationOptions
Returns an array of all the LocationOptions.ExtraInfo options that have been set on this LocationOptions instance.
getFile(String) - Method in class com.veriplace.client.store.FileTokenStore
Get the File for this token.
getFileBase() - Method in class com.veriplace.client.store.FileTokenStore
 
getFormParamName() - Method in class com.veriplace.client.CallbackOptions
An optional parameter name for wrapping the entire callback content in a form-encoded parameter.
getFromRequest(HttpServletRequest) - Static method in class com.veriplace.web.VeriplaceState
Returns a VeriplaceState instance if one has previously been attached to the given HTTP request using Veriplace.open(HttpServletRequest, HttpServletResponse), or null if there is none.
getGetLocationAPI() - Method in class com.veriplace.client.Client
Get the GetLocation API client.
getGetLocationPermissionToken() - Method in class com.veriplace.web.VeriplaceState
Returns the current permission token for getting location, if any.
getGetLocationRequestManager() - Method in class com.veriplace.web.Veriplace
See Veriplace.setGetLocationRequestManager(GetLocationRequestManager).
getGetLocationTokenStore() - Method in class com.veriplace.web.Veriplace
See Veriplace.setGetLocationTokenStore(UserTokenStore).
getHeading() - Method in class com.veriplace.client.PositionReference
Returns the straight-line heading to the position, in degrees clockwise from due north.
getId() - Method in class com.veriplace.client.AsyncRequestStatus
Returns a unique identifier that the platform assigned to this request.
getId() - Method in class com.veriplace.client.Location
Get this location's unique identifier, which may be used to retrieve its data without relying on external storage.
getId() - Method in class com.veriplace.client.LocationUpdateReference
 
getId() - Method in class com.veriplace.client.User
Get the user's identifier.
getId() - Method in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
getIncludeParameters() - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
getIntervalSeconds() - Method in class com.veriplace.client.util.PollingManager
Returns the number of seconds between update queries.
getInvitationAPI() - Method in class com.veriplace.client.Client
Get the Invitation API client.
getInvitationStatus(HttpServletRequest) - Method in class com.veriplace.client.InvitationAPI
Deprecated. Use InvitationAPI.getCallbackResult(HttpServletRequest, HttpServletResponse).
getLastErrorException() - Method in class com.veriplace.web.VeriplaceState
Returns the last VeriplaceException that occurred for the current request, or null if the last request was successful.
getLatitude() - Method in class com.veriplace.client.Position
Latitude, in degrees.
getLocation(User, Token) - Method in class com.veriplace.client.GetLocationAPI
Get a user's location.
getLocation(User, Token, LocationOptions) - Method in class com.veriplace.client.GetLocationAPI
Get a user's location, specifying optional properties of the request.
getLocation(Token, User) - Method in class com.veriplace.client.GetLocationAPI
Deprecated. Use GetLocationAPI.getLocation(User, Token).
getLocation(Token, User, int) - Method in class com.veriplace.client.GetLocationAPI
Deprecated. Use GetLocationAPI.getLocation(User, Token, LocationOptions).
getLocation(Token, User, String) - Method in class com.veriplace.client.GetLocationAPI
Deprecated. Use GetLocationAPI.getLocation(User, Token, LocationOptions).
getLocation(Token, User, String, Integer) - Method in class com.veriplace.client.GetLocationAPI
Deprecated. Use GetLocationAPI.getLocation(User, Token, LocationOptions).
getLocation() - Method in class com.veriplace.client.LocationRequestStatus
The requested location, if the request has successfully completed and if the location details were included in the response.
getLocation() - Method in class com.veriplace.web.VeriplaceState
Returns the Location object describing the last acquired location of the current Veriplace user, or null if you have not acquired a location.
getLocationAccessToken(User) - Method in class com.veriplace.client.GetLocationAPI
Get an access token representing permission to locate a user, if the user has previously granted that permission.
GetLocationAPI - Class in com.veriplace.client
Interface for obtaining a user's location from Veriplace.
getLocationAttributeName() - Method in class com.veriplace.web.spring.LocationDiscoveryInterceptor
See LocationDiscoveryInterceptor.setLocationAttributeName(String).
GetLocationBillingDeclinedException - Exception in com.veriplace.client
Thrown to indicate that a GetLocationAPI method failed because the billing system did not approve the request for this application.
GetLocationBillingDeclinedException() - Constructor for exception com.veriplace.client.GetLocationBillingDeclinedException
 
getLocationById(User, long, Token, LocationOptions) - Method in class com.veriplace.client.GetLocationAPI
Get a previously obtained location again by its location ID, specifying optional properties of the request.
getLocationById(Token, User, long) - Method in class com.veriplace.client.GetLocationAPI
Deprecated. Use GetLocationAPI.getLocationById(User, long, Token, LocationOptions).
GetLocationException - Exception in com.veriplace.client
Base class for exceptions in GetLocationAPI methods.
GetLocationException() - Constructor for exception com.veriplace.client.GetLocationException
 
GetLocationException(String) - Constructor for exception com.veriplace.client.GetLocationException
 
GetLocationException(Throwable) - Constructor for exception com.veriplace.client.GetLocationException
 
GetLocationException(String, Throwable) - Constructor for exception com.veriplace.client.GetLocationException
 
getLocationFilter() - Method in class com.veriplace.client.ClientConfiguration
Deprecated. Use ClientConfiguration.getLocationOptions().
getLocationFilter() - Method in class com.veriplace.client.GetLocationAPI
Get the LocationFilter implementation for this client, if any.
getLocationFilter() - Method in class com.veriplace.client.LocationOptions
 
getLocationId() - Method in class com.veriplace.client.LocationRequestStatus
The unique identifier of the requested location, if the request has successfully completed.
getLocationMode() - Method in class com.veriplace.client.LocationOptions
 
getLocationMode() - Method in class com.veriplace.web.spring.LocationDiscoveryInterceptor
See LocationDiscoveryInterceptor.setLocationMode(String).
getLocationMode() - Method in class com.veriplace.web.VeriplaceState
See VeriplaceState.setLocationMode(String).
GetLocationNotPermittedException - Exception in com.veriplace.client
Thrown to indicate that a GetLocationAPI method failed because the application does not have permission to locate the user.
GetLocationNotPermittedException(VeriplaceOAuthException) - Constructor for exception com.veriplace.client.GetLocationNotPermittedException
 
getLocationOptions() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setLocationOptions(LocationOptions).
getLocationOptions() - Method in class com.veriplace.web.VeriplaceState
Gets a LocationOptions object which can be used to specify optional properties of the next location request, such as location mode and additional geographic queries.
GetLocationRequestManager - Class in com.veriplace.client.util
Abstraction around making a location request and retrieving the result.
GetLocationRequestManager() - Constructor for class com.veriplace.client.util.GetLocationRequestManager
 
GetLocationRequestManager.LocationRequest - Class in com.veriplace.client.util
Inner class representing a location request.
GetLocationRequestManager.LocationRequest(Client, User, Token, LocationOptions) - Constructor for class com.veriplace.client.util.GetLocationRequestManager.LocationRequest
 
getLongitude() - Method in class com.veriplace.client.Position
Longitude, in degrees.
getMobileNumber() - Method in class com.veriplace.client.InvitationStatus
The mobile number to which the invitation was sent.
getMobileNumber() - Method in class com.veriplace.client.LocationRequestStatus
The mobile number of the Veriplace user whose location was requested.
getName() - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
getName() - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
getName() - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
getName() - Method in class com.veriplace.client.PointOfInterest
The human-readable name (e.g.
getNearestIntersection() - Method in class com.veriplace.client.Location
Get a description of a nearby street intersection, including the distance and direction to it.
getNearestPointOfInterest() - Method in class com.veriplace.client.Location
Get a description of a nearby business or landmark, including the distance and direction to it.
getNeighborhood() - Method in class com.veriplace.client.Position
Neighborhood name, if available.
getNode(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
getNode(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
getNode(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
getNodes(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
getNodes(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
getNodes(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
getOpenId() - Method in class com.veriplace.client.UserDiscoveryParameters
 
getOverridePath() - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
getOverrideServerName() - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
getOverrideServerPort() - Method in class com.veriplace.client.factory.DefaultCallbackFactory
 
getPath() - Method in class com.veriplace.client.store.FileTokenStore
 
getPeriod() - Method in class com.veriplace.client.LocationUpdates
Returns the minimum time interval, in seconds, of location updates included in this result set.
getPeriodSeconds() - Method in class com.veriplace.client.PollingAPI
 
getPermissionAPI() - Method in class com.veriplace.client.Client
Get the Permission API client.
getPermittedUsers() - Method in class com.veriplace.client.GetLocationAPI
Get a list of users granting permission.
getPermittedUsers(int, int) - Method in class com.veriplace.client.GetLocationAPI
Get a list of users granting permission with paging.
getPhone() - Method in class com.veriplace.client.UserDiscoveryParameters
 
getPhoneNumber() - Method in class com.veriplace.client.PointOfInterest
A telephone number for this point of interest, if available.
getPollingAPI() - Method in class com.veriplace.client.Client
Get the Polling API client.
getPollingAPI(Client) - Method in class com.veriplace.client.util.PollingManager
 
getPollingFilter() - Method in class com.veriplace.client.util.PollingManager
 
getPollingHandler() - Method in class com.veriplace.client.util.PollingManager
 
getPosition() - Method in class com.veriplace.client.PositionReference
Returns the Position (or subclass thereof) that this object refers to.
getPostal() - Method in class com.veriplace.client.Position
Postal code, if available.
getPreferredEncoding() - Method in class com.veriplace.client.Client
 
getPreferredEncoding() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setPreferredEncoding(String).
getProperties() - Method in class com.veriplace.client.factory.DefaultClientFactory
 
getProperties() - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
Returns the contents of the properties file specified in the "veriplace.properties-file" servlet context parameter in web.xml.
getProperties() - Method in class com.veriplace.web.Veriplace
 
getProtectedResource(APIInfo, ParameterSet, Token) - Method in class com.veriplace.client.Client
Utility method for retrieving the protected resource used by a particular API.
getProtectedResource(APIInfo, ParameterSet, Token, Integer) - Method in class com.veriplace.client.Client
Utility method for retrieving the protected resource used by a particular API.
getProtocol() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setProtocol(Revision).
getRedirectedToUrl() - Method in exception com.veriplace.web.RedirectedToVeriplaceException
 
getRedirector() - Method in class com.veriplace.web.Veriplace
See Veriplace.setRedirector(Redirector).
getRedirectURL(String, boolean, String) - Method in class com.veriplace.client.Client
Utility method for constructing a Veriplace redirect URL for OAuth user authorization.
getRedirectURL(Token, String, boolean, String) - Method in class com.veriplace.client.Client
Utility method for constructing a Veriplace redirect URL for OAuth user authorization, given an OAuth request token.
getRedirectURL(String, User) - Method in class com.veriplace.client.GetLocationAPI
Get the URL to use for OAuth redirection to get permission to locate a user.
getRedirectURL(String, User, boolean) - Method in class com.veriplace.client.GetLocationAPI
Get the URL to use for OAuth redirection to get permission to locate a user.
getRedirectURL(String) - Method in class com.veriplace.client.UserDiscoveryAPI
Get the URL to use for OAuth redirection to obtain the current user ID.
getRedirectURL(String, boolean) - Method in class com.veriplace.client.UserDiscoveryAPI
Get the URL to use for OAuth redirection to obtain the current user ID.
getRedirectURL(String, User) - Method in class com.veriplace.client.UserDiscoveryAPI
Deprecated. Use #getRedirectURL(String).
getRedirectURL(String, User, boolean) - Method in class com.veriplace.client.UserDiscoveryAPI
Deprecated. Use #getRedirectURL(String, boolean).
getRequest() - Method in class com.veriplace.web.VeriplaceState
Returns the current HttpServletRequest.
getRequestToken(HttpServletRequest) - Method in class com.veriplace.client.Client
Returns the request token value from the OAuth callback request.
getRequestToken(String) - Method in class com.veriplace.client.Client
Utility method for obtaining an OAuth request token.
getRequestTokenStore() - Method in class com.veriplace.client.Client
 
getRequestTokenStore() - Method in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Use getClientConfiguration().getTokenStore().
getResponse() - Method in class com.veriplace.web.VeriplaceState
Returns the current HttpServletResponse.
getResult(TRequestStatus) - Method in class com.veriplace.client.AsyncCapableAPI
Attempt to retrieve the result of an asynchronous request that was previously submitted with GetLocationAPI.requestLocation(Token, User, String, String) or InvitationAPI.inviteGetLocation(String, String, boolean).
getResult(LocationRequestStatus) - Method in class com.veriplace.client.GetLocationAPI
Attempt to retrieve the result of an asynchronous request that was previously submitted with GetLocationAPI.requestLocation(Token, User, String, String).
getResult(InvitationStatus) - Method in class com.veriplace.client.InvitationAPI
Check the status of an invitation that was previously submitted with InvitationAPI.inviteGetLocation(String, String, boolean).
getResult(long) - Method in class com.veriplace.client.util.AbstractRequestManager
Get (and remove) the result returned for the given request id, assuming that the request has completed.
getResult() - Method in class com.veriplace.client.util.ResultWrapper
 
getResultAndToken(long) - Method in class com.veriplace.client.util.AbstractRequestManager
Get (and remove) the result returned for the given request id, assuming that the request has completed.
getServerDirectUri() - Method in class com.veriplace.client.Client
Returns the base URI for all direct communications with the Veriplace server (all requests except user authorization redirects).
getServerUri() - Method in class com.veriplace.client.Client
Returns the base URI for the Veriplace server.
getServerUri() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setServerUri(String).
getSharedVeriplaceInstance(ServletContext) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Creates or returns a Veriplace instance for the given ServletContext, using the properties file whose name is in the context parameter "veriplace.properties-file".
getSharedVeriplaceInstance(ServletContext, String) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Creates or returns a Veriplace instance for the given ServletContext, which will be shared by all servlets within the same application.
getSharedVeriplaceInstance(ServletContext, Properties) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Creates or returns a Veriplace instance for the given ServletContext, which will be shared by all servlets within the same application.
getSharedVeriplaceInstance(Servlet, String, String) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Creates or returns a Veriplace instance for the given servlet.
getSharedVeriplaceInstance(Servlet) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Returns a Veriplace instance for the given servlet, if one has already been created by a previous call to VeriplaceServletHelper.getSharedVeriplaceInstance(Servlet, String, String); otherwise returns null.
getSharedVeriplaceProperties(ServletContext) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Returns the properties that were used to configure the Veriplace instance for the current servlet.
getSinceTime() - Method in class com.veriplace.client.LocationUpdates
Returns the starting date and time of the update query.
getState() - Method in class com.veriplace.client.Position
State name, if available.
getStateAttributeName() - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
See AbstractStatusViewRenderer.setStateAttributeName(String).
getStatusViewRenderer() - Method in class com.veriplace.web.Veriplace
See Veriplace.setStatusViewRenderer(StatusViewRenderer).
getStreet() - Method in class com.veriplace.client.Position
Street address, if available.
getStreet2() - Method in class com.veriplace.client.Position
Second street address line, if available.
getString(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
getString(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
getString(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
getTimeoutMilliseconds() - Method in class com.veriplace.client.LocationOptions
 
getToken() - Method in class com.veriplace.client.util.ResultWrapper
 
getTokenStore() - Method in class com.veriplace.client.ClientConfiguration
See ClientConfiguration.setTokenStore(TokenStore).
getUncertainty() - Method in class com.veriplace.client.Position
Approximate uncertainty radius, in meters.
getUpdatedTime() - Method in class com.veriplace.client.LocationUpdates
Returns the ending date and time of the update query.
getUpdateLocation(LocationUpdateReference, Token, Integer) - Method in class com.veriplace.client.PollingAPI
Retrieves information about a specific location update.
getUpdateLocation(User, LocationUpdateReference) - Method in class com.veriplace.client.util.PollingManager
 
getUpdates() - Method in class com.veriplace.client.LocationUpdates
Returns all of the location updates in this result set as a map, where each key is a Veriplace User object and each value is a list of LocationUpdateReferences.
getUpdates(Integer) - Method in class com.veriplace.client.PollingAPI
Retrieves information about recent location updates for all users that this application can locate, using the client's application-specific access token.
getUpdates(Token, Integer) - Method in class com.veriplace.client.PollingAPI
Retrieves information about recent location updates for all users that this application can locate, specifying the application access token.
getUpdatesForUser(User) - Method in class com.veriplace.client.LocationUpdates
Returns a list of all the LocationUpdateReferences for the given user in this result set, or an empty list if the user had no updates.
getUseHttps() - Method in class com.veriplace.client.Client
Deprecated. Obsolete; use Client.isSecure().
getUser() - Method in class com.veriplace.client.InvitationStatus
The Veriplace user identifier for the user who granted permission to the application, if the request was successfully completed.
getUser() - Method in class com.veriplace.client.LocationRequestStatus
The Veriplace user identifier for the user whose location was requested.
getUser(Token) - Method in class com.veriplace.client.UserDiscoveryAPI
Find an enrolled user by supplying a one-time Access Token.
getUser() - Method in class com.veriplace.web.VeriplaceState
Returns the User object representing the current Veriplace user, or null if the user has not yet been determined.
getUserAttributeName() - Method in class com.veriplace.web.spring.UserDiscoveryInterceptor
See UserDiscoveryInterceptor.setUserAttributeName(String).
getUserByEmail(String) - Method in class com.veriplace.client.UserDiscoveryAPI
Find an enrolled user by supplying a known email address.
getUserByMobileNumber(String) - Method in class com.veriplace.client.UserDiscoveryAPI
Find an enrolled user by supplying a known mobile number.
getUserByOpenId(String) - Method in class com.veriplace.client.UserDiscoveryAPI
Find an enrolled user by supplying a known OpenId.
getUserByParameters(UserDiscoveryParameters) - Method in class com.veriplace.client.UserDiscoveryAPI
Find an enrolled user by supplying one of the supported identifying parameters in UserDiscoveryParameters.
getUserDiscoveryAPI() - Method in class com.veriplace.client.Client
Get the UserDiscovery API client.
getUserDiscoveryRequestToken(String) - Method in class com.veriplace.client.Client
Obtains a request token value which can be used to perform user discovery.
getUserDiscoveryUrl(String) - Method in class com.veriplace.client.Client
Constructs a URL, using a request token previously obtained from Client.getUserDiscoveryRequestToken(String), which will tell the Veriplace server to initiate user discovery and then call your application (using the callback previously specified in getUserDiscoveryRequestToken).
getUserFields() - Method in class com.veriplace.web.VeriplaceState
Creates HTML hidden form fields for the current user identity.
getUsers() - Method in class com.veriplace.client.LocationUpdates
Returns a set of all the Veriplace users in this result set.
getUsersByParameters(List<UserDiscoveryParameters>) - Method in class com.veriplace.client.UserDiscoveryAPI
Find multiple users by supplying the supported identifying parameters in UserDiscoveryParameters.
getVeriplace() - Method in class com.veriplace.web.spring.VeriplaceInterceptor
 
getVeriplace() - Method in class com.veriplace.web.VeriplaceState
Returns the current Veriplace instance.
getVeriplaceClient(HttpServletRequest, Veriplace) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
Override this method if you might need to use a different Veriplace Client for some requests.
getVeriplaceClient(HttpServletRequest) - Method in class com.veriplace.web.spring.VeriplaceInterceptor
Override this method if you might need to use a different Veriplace Client for some requests -- for instance, if the same interceptor is handling requests for more than one Veriplace application, each with its own consumer key and token.
getViewMap() - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
See AbstractStatusViewRenderer.setViewMap(Map).
getViewPrefix() - Method in class com.veriplace.web.servlet.ServletStatusViewRenderer
See ServletStatusViewRenderer.setViewPrefix(String).
getViewRendererFromViewParams(ServletContext, String) - Static method in class com.veriplace.web.servlet.VeriplaceServletHelper
Creates a StatusViewRenderer using a set of servlet context parameters, as follows (where NAME is the string passed to this method): veriplace.views.NAME.prefix: path/prefix to view names (e.g.
getViewResolver() - Method in class com.veriplace.web.spring.SpringStatusViewRenderer
 
getViewSuffix() - Method in class com.veriplace.web.servlet.ServletStatusViewRenderer
See ServletStatusViewRenderer.setViewSuffix(String).
getWaitingViewName() - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
See AbstractStatusViewRenderer.setWaitingViewName(String).

H

handleInternal(VeriplaceState, HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.spring.LocationDiscoveryInterceptor
 
handleInternal(VeriplaceState, HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.spring.UserDiscoveryInterceptor
 
handleInternal(VeriplaceState, HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.spring.VeriplaceInterceptor
Override this method to do any necessary preprocessing of the request based on the corresponding VeriplaceState.
handleLocationQueryException(PollingManager, User, LocationUpdateReference, Object, VeriplaceException) - Method in class com.veriplace.client.util.AbstractPollingHandler
 
handleLocationQueryException(PollingManager, User, LocationUpdateReference, Object, VeriplaceException) - Method in interface com.veriplace.client.util.PollingHandler
Called by PollingManager when a call to PollingAPI.getUpdateLocation(com.veriplace.client.LocationUpdateReference, com.veriplace.oauth.consumer.Token, java.lang.Integer) caused an exception so that the location details for an update could not be retrieved, even though the original call to PollingAPI.getUpdates(Integer) succeeded.
handleUpdateQueryException(PollingManager, VeriplaceException) - Method in class com.veriplace.client.util.AbstractPollingHandler
 
handleUpdateQueryException(PollingManager, VeriplaceException) - Method in interface com.veriplace.client.util.PollingHandler
Called by PollingManager when a call to PollingAPI.getUpdates(Integer) caused an exception.
hasApplicationToken() - Method in class com.veriplace.client.Client
 
hasExtraInfo(LocationOptions.ExtraInfo) - Method in class com.veriplace.client.LocationOptions
Returns true if the specified LocationOptions.ExtraInfo option has been set.
hasGetLocationPermission() - Method in class com.veriplace.web.VeriplaceState
Returns true if you have obtained permission to get a user's location.
hashCode() - Method in class com.veriplace.client.LocationUpdateReference
 
hashCode() - Method in class com.veriplace.client.User
 
hashCode() - Method in class com.veriplace.client.UserDiscoveryParameters
 

I

id - Variable in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
init(ServletConfig) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
Initialize the client.
intervalSeconds - Variable in class com.veriplace.client.util.PollingManager
 
InvalidCallbackException - Exception in com.veriplace.client
A callback did not contain an oauth_token parameter or contained one that does not match any known request token.
InvalidCallbackException(String) - Constructor for exception com.veriplace.client.InvalidCallbackException
 
InvitationAPI - Class in com.veriplace.client
Interface for initiating an SMS invitation from Veriplace to an end user, allowing the user to opt into this application.
InvitationDeclinedException - Exception in com.veriplace.client
Thrown to indicate that an InvitationAPI method failed because the user refused the permission request.
InvitationDeclinedException() - Constructor for exception com.veriplace.client.InvitationDeclinedException
 
InvitationDeclinedException(String) - Constructor for exception com.veriplace.client.InvitationDeclinedException
 
InvitationException - Exception in com.veriplace.client
Base class for exceptions in InvitationAPI methods.
InvitationException() - Constructor for exception com.veriplace.client.InvitationException
 
InvitationException(String) - Constructor for exception com.veriplace.client.InvitationException
 
InvitationException(Throwable) - Constructor for exception com.veriplace.client.InvitationException
 
InvitationException(String, Throwable) - Constructor for exception com.veriplace.client.InvitationException
 
InvitationNotPermittedException - Exception in com.veriplace.client
Thrown to indicate that an InvitationAPI method failed because the application does not have permission to identify the user.
InvitationNotPermittedException() - Constructor for exception com.veriplace.client.InvitationNotPermittedException
 
InvitationNotPermittedException(String) - Constructor for exception com.veriplace.client.InvitationNotPermittedException
 
InvitationNotPermittedException(VeriplaceOAuthException) - Constructor for exception com.veriplace.client.InvitationNotPermittedException
 
InvitationNotPermittedException(String, VeriplaceOAuthException) - Constructor for exception com.veriplace.client.InvitationNotPermittedException
 
InvitationStatus - Class in com.veriplace.client
Holds information about the status of an InvitationAPI request.
InvitationStatus(String, String) - Constructor for class com.veriplace.client.InvitationStatus
 
InvitationStatus(User) - Constructor for class com.veriplace.client.InvitationStatus
 
InvitationStatus(String, User) - Constructor for class com.veriplace.client.InvitationStatus
 
InvitationStatus(String, String, User, Token) - Constructor for class com.veriplace.client.InvitationStatus
 
InvitationStatus(String, String, InvitationException) - Constructor for class com.veriplace.client.InvitationStatus
 
InvitationStatusFactory - Class in com.veriplace.client.factory
Factory implementation for parsing an invitation status response (or callback document) into an InvitationStatus object.
InvitationStatusFactory() - Constructor for class com.veriplace.client.factory.InvitationStatusFactory
 
inviteGetLocation(String, String, boolean) - Method in class com.veriplace.client.InvitationAPI
Invite a user to grant Get Location permission to this application, by sending a message to the user's mobile device.
inviteGetLocation(String, boolean, CallbackOptions) - Method in class com.veriplace.client.InvitationAPI
Invite a user to grant Get Location permission to this application, by sending a message to the user's mobile device.
isAsynchronousRequestAllowed() - Method in class com.veriplace.web.VeriplaceState
See VeriplaceState.setAsynchronousRequestAllowed(boolean).
isCallback(HttpServletRequest) - Method in class com.veriplace.client.Client
Is this request an OAuth callback.
isCallback() - Method in class com.veriplace.web.VeriplaceState
Returns true if this request originated in a callback from the Veriplace website.
isCompleted() - Method in class com.veriplace.client.InvitationStatus
True if the application now has permission to locate the user, in which case InvitationStatus.getUser() will return a valid user identifier.
isError() - Method in class com.veriplace.web.VeriplaceState
Returns true if the last request caused an error.
isExtendedCallback() - Method in class com.veriplace.client.CallbackOptions
Returns true if this is an extended callback.
isFailed() - Method in class com.veriplace.client.AsyncRequestStatus
True if the request failed, in which case AsyncRequestStatus.getException() will return the corresponding exception.
isInteractionAllowed() - Method in class com.veriplace.web.spring.UserDiscoveryInterceptor
See UserDiscoveryInterceptor.setInteractionAllowed(boolean).
isJson() - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
isJson() - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
isJson() - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
isOnlyNewestLocation() - Method in class com.veriplace.client.util.PollingManager
 
isPolling() - Method in class com.veriplace.client.util.PollingManager
Returns true if the PollingManager is running a background task to poll for location updates.
isPositionDeterminationTemporarilyUnavailable() - Method in exception com.veriplace.client.PositionFailureException
 
isPositionFailure() - Method in exception com.veriplace.client.PositionFailureException
 
isReady() - Method in class com.veriplace.client.AsyncRequestStatus
True if the request either was successfully completed or failed; false if it is still being processed.
isRestricted() - Method in exception com.veriplace.client.PositionFailureException
 
isSecure() - Method in class com.veriplace.client.Client
 
isSpecified() - Method in class com.veriplace.client.UserDiscoveryParameters
 
isSuppressCachedPosition() - Method in class com.veriplace.client.LocationOptions
 
isUseCachedLocation() - Method in class com.veriplace.client.DefaultLocationFilter
Returns true if this filter will returned cached locations.
isUserInteractionAllowed() - Method in class com.veriplace.web.VeriplaceState
See VeriplaceState.setUserInteractionAllowed(boolean).
isXml() - Method in class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
isXml() - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
isXml() - Method in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 

J

JSON_CONTENT_TYPE - Static variable in class com.veriplace.client.ClientConfiguration
MIME type constant for requesting JSON-encoded responses from the server: "application/json"

L

Location - Class in com.veriplace.client
Representation of the location of a Veriplace user.
Location(long, Date, Date, Position) - Constructor for class com.veriplace.client.Location
 
Location(long, Date, Date, Position, PositionReference<PointOfInterest>, PositionReference<StreetIntersection>) - Constructor for class com.veriplace.client.Location
 
Location(Long, Date, Date, double, double, double, String, String, String, String, String, String) - Constructor for class com.veriplace.client.Location
 
LocationDiscoveryInterceptor - Class in com.veriplace.web.spring
An Interceptor that does not allow requests to proceed until the current user's location is available from Veriplace.
LocationDiscoveryInterceptor() - Constructor for class com.veriplace.web.spring.LocationDiscoveryInterceptor
 
LocationFactory - Class in com.veriplace.client.factory
Factory implementation for parsing a GetLocationAPI response into either a Location object or a PositionFailureException.
LocationFactory() - Constructor for class com.veriplace.client.factory.LocationFactory
 
LocationFilter - Interface in com.veriplace.client
Interface for an object that can apply post-processing to returned locations.
LocationMode - Class in com.veriplace.client
Constants representing the allowable location modes.
LocationMode() - Constructor for class com.veriplace.client.LocationMode
 
LocationOptions - Class in com.veriplace.client
Specifies optional parameters for a location request.
LocationOptions() - Constructor for class com.veriplace.client.LocationOptions
Creates a new LocationOptions object with no properties overridden.
LocationOptions.ExtraInfo - Enum in com.veriplace.client
Enumeration of extended location data structures that can be requested.
LocationRequestStatus - Class in com.veriplace.client
Holds information about the status of an asynchronous GetLocationAPI request.
LocationRequestStatus(String, User) - Constructor for class com.veriplace.client.LocationRequestStatus
 
LocationRequestStatus(String, User, String) - Constructor for class com.veriplace.client.LocationRequestStatus
 
LocationRequestStatus(String, User, String, Location) - Constructor for class com.veriplace.client.LocationRequestStatus
 
LocationRequestStatus(String, User, Long) - Constructor for class com.veriplace.client.LocationRequestStatus
 
LocationRequestStatus(String, User, String, GetLocationException) - Constructor for class com.veriplace.client.LocationRequestStatus
 
LocationRequestStatusFactory - Class in com.veriplace.client.factory
Factory implementation for parsing an asynchronous location request status response (or callback document) into a LocationRequestStatus object.
LocationRequestStatusFactory() - Constructor for class com.veriplace.client.factory.LocationRequestStatusFactory
 
LocationUpdateReference - Class in com.veriplace.client
Opaque representation of a location update identifier for PollingAPI.
LocationUpdateReference(long) - Constructor for class com.veriplace.client.LocationUpdateReference
 
LocationUpdates - Class in com.veriplace.client
A result set returned by PollingAPI.getUpdates(Integer), representing location updates that occurred within a given time interval whose details can be queried by the current application.
LocationUpdates(Date, Date, int, Map<User, List<LocationUpdateReference>>, Set<Integer>) - Constructor for class com.veriplace.client.LocationUpdates
 
LocationUpdatesFactory - Class in com.veriplace.client.factory
Factory implementation for parsing a LocationUpdates object from a response.
LocationUpdatesFactory() - Constructor for class com.veriplace.client.factory.LocationUpdatesFactory
 
LONG_TIMEOUT - Static variable in class com.veriplace.client.Client
 

M

MalformedResponseException - Exception in com.veriplace.client
Thrown to indicate that the Veriplace server returned a response that the client could not understand.
MalformedResponseException(String) - Constructor for exception com.veriplace.client.MalformedResponseException
 
MalformedResponseException(Throwable) - Constructor for exception com.veriplace.client.MalformedResponseException
 
MalformedResponseException(String, Throwable) - Constructor for exception com.veriplace.client.MalformedResponseException
 
matchExceptionClass(String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
 
MemoryRequestStore<ResultType> - Class in com.veriplace.client.util
In-memory implementation of RequestStore.
MemoryRequestStore() - Constructor for class com.veriplace.client.util.MemoryRequestStore
 
MemoryRequestStore.RequestStatus<ResultType> - Class in com.veriplace.client.util
 
MemoryRequestStore.RequestStatus() - Constructor for class com.veriplace.client.util.MemoryRequestStore.RequestStatus
 
MemoryTokenStore - Class in com.veriplace.client.store
An in-memory implemention of TokenStore
MemoryTokenStore() - Constructor for class com.veriplace.client.store.MemoryTokenStore
 
MemoryUserTokenStore - Class in com.veriplace.client.store
An in-memory implemention of UserTokenStore
MemoryUserTokenStore() - Constructor for class com.veriplace.client.store.MemoryUserTokenStore
 
MOBILE - Static variable in class com.veriplace.client.UserDiscoveryAPI
 

N

newRequest(Client, User, Token, LocationOptions) - Method in class com.veriplace.client.util.GetLocationRequestManager
Create a new location request to be submitted with AbstractRequestManager.submitRequest(com.veriplace.client.util.AbstractRequestManager.AbstractRequest).
nullIfEmpty(String) - Static method in class com.veriplace.client.factory.ResponseObjectFactory
 

O

onlyNewestLocation - Variable in class com.veriplace.client.util.PollingManager
 
open(HttpServletRequest, HttpServletResponse) - Method in class com.veriplace.web.Veriplace
Creates a new VeriplaceState object for the current HTTP request.
OPENID - Static variable in class com.veriplace.client.UserDiscoveryAPI
 

P

parse(Response) - Method in class com.veriplace.client.factory.ResponseObjectFactory
 
parse(String, byte[]) - Method in class com.veriplace.client.factory.ResponseObjectFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.InvitationStatusFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationRequestStatusFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.ResponseObjectFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.TokenFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.UserFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.UserListFactory
 
parseAny(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.UsersByPIIFactory
 
parseDateTime(String) - Static method in class com.veriplace.client.factory.ResponseObjectFactory
 
parseError(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.InvitationStatusFactory
 
parseError(ResponseObjectFactory.ParseHelper, Long, Date, Date) - Method in class com.veriplace.client.factory.LocationFactory
 
parseError(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationRequestStatusFactory
 
parseIntersectionReference(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationFactory
 
parseJson(ResponseObjectFactory.JsonHelper) - Method in class com.veriplace.client.factory.LocationUpdatesFactory
 
parseJson(ResponseObjectFactory.JsonHelper) - Method in class com.veriplace.client.factory.ResponseObjectFactory
 
parseLocation(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationFactory
 
parsePointOfInterestReference(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationFactory
 
parsePosition(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.LocationFactory
 
parseToken(ResponseObjectFactory.ParseHelper) - Method in class com.veriplace.client.factory.TokenFactory
 
parseXml(ResponseObjectFactory.XmlHelper) - Method in class com.veriplace.client.factory.LocationUpdatesFactory
 
parseXml(ResponseObjectFactory.XmlHelper) - Method in class com.veriplace.client.factory.ResponseObjectFactory
 
PermissionAPI - Class in com.veriplace.client
Interface for verifying or removing an application's permissions for specific resources in the Veriplace platform.
PointOfInterest - Class in com.veriplace.client
Describes a geographic point of interest, such as a business or a landmark.
PointOfInterest(String, String, Position, String) - Constructor for class com.veriplace.client.PointOfInterest
 
PollingAPI - Class in com.veriplace.client
Interface for querying user location changes in bulk, using a version of the Simple Update Protocol.
pollingAPI - Variable in class com.veriplace.client.util.PollingManager
 
PollingFilter - Interface in com.veriplace.client.util
An object that can tell PollingManager whether or not to query the location details for a given location update.
pollingFilter - Variable in class com.veriplace.client.util.PollingManager
 
PollingHandler - Interface in com.veriplace.client.util
An object that can receive results from a PollingManager.
pollingHandler - Variable in class com.veriplace.client.util.PollingManager
 
PollingManager - Class in com.veriplace.client.util
Maintains a thread that issues PollingAPI requests at regular intervals and passes the results to a PollingHandler.
PollingManager() - Constructor for class com.veriplace.client.util.PollingManager
Constructs a new PollingManager whose properties are uninitialized.
PollingManager(Client, PollingHandler, boolean) - Constructor for class com.veriplace.client.util.PollingManager
Constructs a new PollingManager, using the default in-memory cache for access tokens.
PollingManager(Client, PollingHandler, PollingFilter, boolean) - Constructor for class com.veriplace.client.util.PollingManager
Constructs a new PollingManager, using the default in-memory cache for access tokens, and specifying a PollingFilter.
PollingManager(Client, PollingHandler, PollingFilter, Token, UserTokenStore, boolean) - Constructor for class com.veriplace.client.util.PollingManager
Constructs a new PollingManager, optionally specifying an alternate application token and an implementation object for access token caching.
Position - Class in com.veriplace.client
Base class for objects that describe a geographic location.
Position(Position) - Constructor for class com.veriplace.client.Position
 
Position(double, double, double, String, String, String, String, String, String, String) - Constructor for class com.veriplace.client.Position
 
POSITION_DETERMINATION_TEMPORARILY_UNAVAILABLE - Static variable in exception com.veriplace.client.PositionFailureException
Error code for position determination being termporarily unavailable, for example if a carrier's infrastructure is undergoing maintenance.
POSITION_FAILURE - Static variable in exception com.veriplace.client.PositionFailureException
Error code for location being unavailable, for example if the device is powered off or out of network coverage.
PositionFailureException - Exception in com.veriplace.client
Thrown to indicate that a GetLocationAPI method failed because Veriplace could not obtain the user's location, although your request was valid.
PositionFailureException(String, int, Location) - Constructor for exception com.veriplace.client.PositionFailureException
 
PositionReference<T extends Position> - Class in com.veriplace.client
Describes a geographic relationship to some Position.
PositionReference(T, double, double) - Constructor for class com.veriplace.client.PositionReference
 
postHandle(HttpServletRequest, HttpServletResponse, Object, ModelAndView) - Method in class com.veriplace.web.spring.VeriplaceInterceptor
 
PREFERRED_ENCODING - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the desired API response encoding: "veriplace.client.encoding".
preHandle(HttpServletRequest, HttpServletResponse, Object) - Method in class com.veriplace.web.spring.VeriplaceInterceptor
 
PRETTY_USER_DISCOVERY_USER_AUTHORIZATION_PATH - Static variable in class com.veriplace.client.Client
The URL path, after the baseUrl, for user authorization requests, for user discovery.
processUpdates(LocationUpdates) - Method in class com.veriplace.client.util.PollingManager
 
properties - Variable in class com.veriplace.client.factory.DefaultClientFactory
 
PROPERTIES_FILE_CONTEXT_PARAM - Static variable in class com.veriplace.web.servlet.VeriplaceServletHelper
 
PROTOCOL - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for the protocol version to use: "veriplace.server.protocol".
put(User, Token) - Method in class com.veriplace.client.store.MemoryUserTokenStore
Save a token for a user.
put(User, Token) - Method in interface com.veriplace.client.store.UserTokenStore
Save a token for a user.
put(long, ResultType) - Method in class com.veriplace.client.util.MemoryRequestStore
 
put(long, ResultType) - Method in interface com.veriplace.client.util.RequestStore
Save the result of a completed request.

R

receivedLocation(PollingManager, User, Location, LocationUpdateReference, Object) - Method in class com.veriplace.client.util.AbstractPollingHandler
 
receivedLocation(PollingManager, User, Location, LocationUpdateReference, Object) - Method in interface com.veriplace.client.util.PollingHandler
Called by PollingManager when a new location becomes available.
RedirectedToVeriplaceException - Exception in com.veriplace.web
Indicates that the application should stop handling the current HTTP request because Veriplace has redirected the end user, for user discovery or authorization.
RedirectedToVeriplaceException(String) - Constructor for exception com.veriplace.web.RedirectedToVeriplaceException
 
Redirector - Interface in com.veriplace.web
Interface for an object that can redirect the end user to a different URL.
remove(Token) - Method in class com.veriplace.client.store.FileTokenStore
Remove a token from this store.
remove(Token) - Method in class com.veriplace.client.store.MemoryTokenStore
Remove a token from this store.
remove(User) - Method in class com.veriplace.client.store.MemoryUserTokenStore
Remove a token for a user.
remove(Token) - Method in interface com.veriplace.client.store.TokenStore
Remove a token from this store.
remove(User) - Method in interface com.veriplace.client.store.UserTokenStore
Remove a token for a user.
renderErrorView(HttpServletRequest, HttpServletResponse, VeriplaceState, Exception) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
 
renderErrorView(HttpServletRequest, HttpServletResponse, VeriplaceState, Exception) - Method in interface com.veriplace.web.views.StatusViewRenderer
Displays an appropriate error response for a given exception.
renderViewInternal(HttpServletRequest, HttpServletResponse, VeriplaceState, String) - Method in class com.veriplace.web.servlet.ServletStatusViewRenderer
 
renderViewInternal(HttpServletRequest, HttpServletResponse, VeriplaceState, String) - Method in class com.veriplace.web.spring.SpringStatusViewRenderer
 
renderViewInternal(HttpServletRequest, HttpServletResponse, VeriplaceState, String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
Override this method to implement displaying a page based on a view name.
renderWaitingView(HttpServletRequest, HttpServletResponse, VeriplaceState, String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
 
renderWaitingView(HttpServletRequest, HttpServletResponse, VeriplaceState, String) - Method in interface com.veriplace.web.views.StatusViewRenderer
Displays appropriate content for the "please wait" condition.
REQUEST_TOKEN_PATH - Static variable in class com.veriplace.client.Client
The URL path, after the baseUrl, for request token requests.
REQUEST_TOKEN_STORE_DIRECTORY_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.REQUEST_TOKEN_STORE_PATH.
REQUEST_TOKEN_STORE_PATH - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the root directory of the request token store, if using type "file".
REQUEST_TOKEN_STORE_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; use DefaultClientFactory.REQUEST_TOKEN_STORE_TYPE.
REQUEST_TOKEN_STORE_TYPE - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for specifying the type of the request token store.
RequestDeniedException - Exception in com.veriplace.client
Base class for exceptions that indicate a known failure mode of a specific API request.
RequestDeniedException(String) - Constructor for exception com.veriplace.client.RequestDeniedException
 
RequestDeniedException(String, Throwable) - Constructor for exception com.veriplace.client.RequestDeniedException
 
requestLocation(User, Token, String, LocationOptions) - Method in class com.veriplace.client.GetLocationAPI
Submit an asynchronous request for a user's location.
requestLocation(User, Token, LocationOptions, CallbackOptions) - Method in class com.veriplace.client.GetLocationAPI
Submit an asynchronous request for a user's location, with options for extended callback behavior.
requestLocation(Token, User, String, String) - Method in class com.veriplace.client.GetLocationAPI
Deprecated. Use GetLocationAPI.requestLocation(User, Token, String, LocationOptions).
RequestNotFoundException - Exception in com.veriplace.client
Indicates that an asynchronous request ID was no longer valid.
RequestNotFoundException(String) - Constructor for exception com.veriplace.client.RequestNotFoundException
 
RequestNotFoundException(String, Throwable) - Constructor for exception com.veriplace.client.RequestNotFoundException
 
requests - Variable in class com.veriplace.client.util.MemoryRequestStore
Map from identifier to result
requestStore - Variable in class com.veriplace.client.util.AbstractRequestManager
 
RequestStore<ResultType> - Interface in com.veriplace.client.util
Generic interface for tracking background requests and storing their results.
requireAttribute(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireDouble(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireGetLocationPermission(VeriplaceState) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireGetLocationPermission() - Method in class com.veriplace.web.VeriplaceState
Attempts to obtain permission to locate the current Veriplace user, if that permission isn't already present in the current state.
requireGetLocationPermissionImmediate(VeriplaceState) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireGetLocationPermissionImmediate() - Method in class com.veriplace.web.VeriplaceState
Attempts to obtain permission to locate the current Veriplace user, if that permission isn't already present in the current state.
requireInt(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireIntAttribute(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireLocation(VeriplaceState) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireLocation(VeriplaceState, long) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireLocation() - Method in class com.veriplace.web.VeriplaceState
Attempts to locate the current Veriplace user, if a location isn't already present in the current state.
requireLocation(long) - Method in class com.veriplace.web.VeriplaceState
Attempts to retrieve a previously retrieved location again, using its ID (from Location.getId()).
requireLong(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireLongAttribute(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireNode(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireString(String) - Method in class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
requireUser(VeriplaceState) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireUser(VeriplaceState, UserDiscoveryParameters) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireUser() - Method in class com.veriplace.web.VeriplaceState
Attempts to acquire the current Veriplace user identifier, if it isn't already present in the current state.
requireUser(UserDiscoveryParameters) - Method in class com.veriplace.web.VeriplaceState
Attempts to acquire the current Veriplace user identifier using identifying information in UserDiscoveryParameters.
requireUserImmediate(VeriplaceState) - Method in class com.veriplace.web.Veriplace
Deprecated.  
requireUserImmediate() - Method in class com.veriplace.web.VeriplaceState
Attempts to acquire the current Veriplace user identifier, if it isn't already present in the current state, without providing any identifying properties and without redirecting.
rescheduleAfterFirstQueryFailed(PollingManager.PollingTask) - Method in class com.veriplace.client.util.PollingManager
 
resolveException(HttpServletRequest, HttpServletResponse, Object, Exception) - Method in class com.veriplace.web.spring.VeriplaceInterceptor
Handle RespondedExceptions by doing nothing.
RespondedException - Exception in com.veriplace.web
Indicates that the application should stop handling the current HTTP request because Veriplace has already sent a response to the end user: either a redirect to another site (RedirectedToVeriplaceException), or a status page provided by a StatusViewRenderer (RespondedWithStatusViewException).
RespondedException() - Constructor for exception com.veriplace.web.RespondedException
 
RespondedException(Throwable) - Constructor for exception com.veriplace.web.RespondedException
 
RespondedWithStatusViewException - Exception in com.veriplace.web.views
Indicates that the application should stop handling the current HTTP request because Veriplace has determined that a transaction cannot be completed at present (either because of an error, or because it is in a waiting state), and has automatically served up a response page from a StatusViewRenderer.
RespondedWithStatusViewException(Exception) - Constructor for exception com.veriplace.web.views.RespondedWithStatusViewException
 
ResponseException - Exception in com.veriplace.client.factory
Thrown by ResponseObjectFactory as a wrapper for an exception that was parsed from a response document.
ResponseException(VeriplaceException) - Constructor for exception com.veriplace.client.factory.ResponseException
 
ResponseObjectFactory<T> - Class in com.veriplace.client.factory
 
ResponseObjectFactory() - Constructor for class com.veriplace.client.factory.ResponseObjectFactory
 
ResponseObjectFactory.JsonHelper - Class in com.veriplace.client.factory
 
ResponseObjectFactory.JsonHelper(Object) - Constructor for class com.veriplace.client.factory.ResponseObjectFactory.JsonHelper
 
ResponseObjectFactory.ParseHelper<T extends ResponseObjectFactory.ParseHelper> - Class in com.veriplace.client.factory
 
ResponseObjectFactory.ParseHelper() - Constructor for class com.veriplace.client.factory.ResponseObjectFactory.ParseHelper
 
ResponseObjectFactory.XmlHelper - Class in com.veriplace.client.factory
 
ResponseObjectFactory.XmlHelper(Node) - Constructor for class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
RESTRICTED - Static variable in exception com.veriplace.client.PositionFailureException
Error code for position data being restricted by a user privacy setting.
result - Variable in class com.veriplace.client.util.MemoryRequestStore.RequestStatus
 
ResultWrapper<T> - Class in com.veriplace.client.util
Stores a result object if the request succeeded, or an exception if it failed.
ResultWrapper(T, Token) - Constructor for class com.veriplace.client.util.ResultWrapper
 
ResultWrapper(VeriplaceException) - Constructor for class com.veriplace.client.util.ResultWrapper
 
ResultWrapper(T, Token, VeriplaceException) - Constructor for class com.veriplace.client.util.ResultWrapper
 
REV_A_PROPERTY - Static variable in class com.veriplace.client.factory.DefaultClientFactory
Deprecated. Obsolete; specify protocol name with DefaultClientFactory.PROTOCOL.
root - Variable in class com.veriplace.client.factory.ResponseObjectFactory.XmlHelper
 
run() - Method in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 

S

sendRedirect(HttpServletRequest, HttpServletResponse, String) - Method in class com.veriplace.web.DefaultRedirector
 
sendRedirect(HttpServletRequest, HttpServletResponse, String) - Method in interface com.veriplace.web.Redirector
 
SERVER_URI - Static variable in class com.veriplace.client.factory.DefaultClientFactory
The property key for the Veriplace server URI: "veriplace.url".
ServletStatusViewRenderer - Class in com.veriplace.web.servlet
Subclass of AbstractStatusViewRenderer for use with servlet applications.
ServletStatusViewRenderer() - Constructor for class com.veriplace.web.servlet.ServletStatusViewRenderer
 
setAccessToken(Token) - Method in class com.veriplace.client.util.PollingManager
Specifies an access token for update queries.
setApplicationToken(Token) - Method in class com.veriplace.client.ClientConfiguration
Specifies the application-specific access token issued for this application.
setAsynchronousRequestAllowed(boolean) - Method in class com.veriplace.web.VeriplaceState
Specifies whether the Veriplace client can perform location requests asynchronously using a background thread.
setCallbackAttributeName(String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
Specifies that when the framework is displaying a "please wait" view, or any view that includes an automatic redirect, the redirect URL should be stored as a request attribute (or model object, if you are using Spring) with the given name.
setCallbackExcludeParameters(String[]) - Method in class com.veriplace.client.ClientConfiguration
 
setCallbackFactory(CallbackFactory) - Method in class com.veriplace.client.ClientConfiguration
 
setCallbackIncludeParameters(String[]) - Method in class com.veriplace.client.ClientConfiguration
 
setCallbackParameter(String, String) - Method in class com.veriplace.web.VeriplaceState
Specifies an additional HTTP parameter to be preserved across redirects and callbacks.
setCallbackParameter(String, Long) - Method in class com.veriplace.web.VeriplaceState
Specifies an additional HTTP parameter to be preserved across redirects and callbacks.
setCallbackParameter(String, String[]) - Method in class com.veriplace.web.VeriplaceState
Specifies an additional HTTP parameter to be preserved across redirects and callbacks.
setCallbackPath(String) - Method in class com.veriplace.client.ClientConfiguration
 
setCallbackServerName(String) - Method in class com.veriplace.client.ClientConfiguration
 
setCallbackServerPort(Integer) - Method in class com.veriplace.client.ClientConfiguration
 
setClient(Client) - Method in class com.veriplace.client.util.PollingManager
 
setConsumerKey(String) - Method in class com.veriplace.client.ClientConfiguration
 
setConsumerSecret(String) - Method in class com.veriplace.client.ClientConfiguration
 
setDefaultErrorViewName(String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
Specifies the name of the view to use for error conditions that were not otherwise specified with AbstractStatusViewRenderer.setErrorViewName(Class, String).
setDefaultLocationMode(String) - Method in class com.veriplace.client.ClientConfiguration
Deprecated. Use ClientConfiguration.setLocationOptions(LocationOptions).
setEmail(String) - Method in class com.veriplace.client.UserDiscoveryParameters
Specifies searching by email address.
setErrorViewName(Class<?>, String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
Specifies the name of the view to use for error conditions that are thrown as the specified exception class.
setExecutorService(ExecutorService) - Method in class com.veriplace.client.util.AbstractRequestManager
 
setExtraInfo(LocationOptions.ExtraInfo...) - Method in class com.veriplace.client.LocationOptions
 
setGetLocationPermissionToken(Token) - Method in class com.veriplace.web.VeriplaceState
Specifies an access token for getting location.
setGetLocationRequestManager(GetLocationRequestManager) - Method in class com.veriplace.web.Veriplace
Designates a GetLocationRequestManager object to provide background processing of location requests.
setGetLocationTokenStore(UserTokenStore) - Method in class com.veriplace.web.Veriplace
Designates a UserTokenStore object to provide cacheing of Veriplace access tokens.
setId(long) - Method in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
setInteractionAllowed(boolean) - Method in class com.veriplace.web.spring.UserDiscoveryInterceptor
Specifies whether Veriplace can redirect to a login page or otherwise interact with the user when we need to determine the current user.
setIntervalSeconds(int) - Method in class com.veriplace.client.util.PollingManager
Specifies the number of seconds between update queries.
setLocationAttributeName(String) - Method in class com.veriplace.web.spring.LocationDiscoveryInterceptor
Specifies that when location discovery has been successfully completed on a request, the Location object should be stored in the request as an attribute with this name.
setLocationFilter(LocationFilter) - Method in class com.veriplace.client.ClientConfiguration
Deprecated. Use ClientConfiguration.setLocationOptions(LocationOptions).
setLocationFilter(LocationFilter) - Method in class com.veriplace.client.LocationOptions
Specifies a LocationFilter to be applied to the result of the location request, or null for no filter.
setLocationMode(String) - Method in class com.veriplace.client.LocationOptions
Specifies the desired LocationMode, or null to use the default mode.
setLocationMode(String) - Method in class com.veriplace.web.spring.LocationDiscoveryInterceptor
Specifies the method or degree of accuracy for obtaining location.
setLocationMode(String) - Method in class com.veriplace.web.VeriplaceState
Sets the location mode to be used for subsequent location requests on this state.
setLocationOptions(LocationOptions) - Method in class com.veriplace.client.ClientConfiguration
Specifies a LocationOptions object whose properties will be used for all location requests by default.
setLocationOptions(LocationOptions) - Method in class com.veriplace.web.VeriplaceState
Specifies a LocationOptions object whose properties will be used for the next location request.
setOnlyNewestLocation(boolean) - Method in class com.veriplace.client.util.PollingManager
 
setOpenId(String) - Method in class com.veriplace.client.UserDiscoveryParameters
Specifies searching by OpenID identifier.
setPeriodSeconds(int) - Method in class com.veriplace.client.PollingAPI
Specifies the interval, in seconds, between updates to the location change list.
setPhone(String) - Method in class com.veriplace.client.UserDiscoveryParameters
Specifies searching by mobile number.
setPolling(boolean) - Method in class com.veriplace.client.util.PollingManager
Turns the background polling task on or off.
setPollingFilter(PollingFilter) - Method in class com.veriplace.client.util.PollingManager
Specifies a filter implementation to determine which location updates are relevant.
setPollingHandler(PollingHandler) - Method in class com.veriplace.client.util.PollingManager
Specifies the handler object that will receive location updates.
setPreferredEncoding(String) - Method in class com.veriplace.client.ClientConfiguration
Specifies the MIME type to request for all server responses.
setProtocol(Revision) - Method in class com.veriplace.client.ClientConfiguration
 
setRedirector(Redirector) - Method in class com.veriplace.web.Veriplace
Designates a Redirector object which will take care of sending redirect responses.
setRequestStore(RequestStore<ResultWrapper<ResultType>>) - Method in class com.veriplace.client.util.AbstractRequestManager.AbstractRequest
 
setRequestStore(RequestStore<ResultWrapper<ResultType>>) - Method in class com.veriplace.client.util.AbstractRequestManager
 
setServerUri(String) - Method in class com.veriplace.client.ClientConfiguration
Specifies the base URI of the Veriplace server.
setStateAttributeName(String) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
Specifies that the framework should always store a reference to the current VeriplaceState using the given attribute name.
setStatusViewRenderer(StatusViewRenderer) - Method in class com.veriplace.web.Veriplace
Designates a StatusViewRenderer object which will be used to display special status pages (errors, or a "please wait" page) if appropriate.
setSuppressCachedPosition(boolean) - Method in class com.veriplace.client.LocationOptions
Setting this property to true tells Veriplace not to return a cached position if there is a PositionFailureException.
setTimeoutMilliseconds(Integer) - Method in class com.veriplace.client.LocationOptions
Specifies the timeout interval, or null for no timeout.
setTokenStore(TokenStore) - Method in class com.veriplace.client.ClientConfiguration
Specifies an object that can store request tokens between operations.
setupVeriplaceState(HttpServletRequest, VeriplaceState) - Method in class com.veriplace.web.servlet.AbstractVeriplaceServlet
Override this method if you need to change any properties of the VeriplaceState, such as VeriplaceState.setLocationMode(String), based on properties of the current request.
setUser(User) - Method in class com.veriplace.web.VeriplaceState
Sets the current Veriplace user.
setUser(long) - Method in class com.veriplace.web.VeriplaceState
Sets the current Veriplace user.
setUserAttributeName(String) - Method in class com.veriplace.web.spring.UserDiscoveryInterceptor
Specifies that when user discovery has been successfully completed on a request, the User object should be stored in the request as an attribute with this name.
setUserInteractionAllowed(boolean) - Method in class com.veriplace.web.VeriplaceState
Specifies whether the Veriplace server is allowed to prompt the end user to log in or to grant location permission.
setUserTokenStore(UserTokenStore) - Method in class com.veriplace.client.util.PollingManager
Specifies an implementation of UserTokenStore that can save and retrieve access tokens for each user.
setVeriplace(Veriplace) - Method in class com.veriplace.web.spring.VeriplaceInterceptor
Specifies the Veriplace instance this interceptor will use.
setViewMap(Map<String, String>) - Method in class com.veriplace.web.views.AbstractStatusViewRenderer
[...]
